Subject: Re: linux-next: manual merge of the bpf-next tree with the bpf tree

From: Jiri Olsa <[email-masked]>
Date: Fri, 14 Feb 2025 10:12:50 +0100

On Thu, Feb 13, 2025 at 09:33:11PM -0800, Alexei Starovoitov wrote:
> On Thu, Feb 13, 2025 at 9:07 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi all,
> >
> > Today's linux-next merge of the bpf-next tree got a conflict in:
> >
> >   kernel/bpf/btf.c
> >
> > between commit:
> >
> >   5da7e15fb5a1 ("net: Add rx_skb of kfree_skb to raw_tp_null_args[].")
> >
> > from the bpf tree and commit:
> >
> >   c83e2d970bae ("bpf: Add tracepoints with null-able arguments")
> >
> > from the bpf-next tree.
> >
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> 
> Thanks for headsup.
> 
> Jiri,
> what should we do ?
> I feel that moving c83e2d970bae into bpf tree would be the best ?

right, bpf tree would have been better fit for that.. should I resend that for bpf tree?

> 
> Pls warn me next time of conflicts.

will do

jirka